Subject: Re: [PATCH net-next-2.6] net: speedup udp receive path

From: jamal <[email-masked]>
Date: Thu, 29 Apr 2010 09:37:38 -0400

On Thu, 2010-04-29 at 15:21 +0200, Eric Dumazet wrote:

> 
> You could try following program :
> 

Will do later today (test machine is not on the network and is about 20
minutes from here; so worst case i will get you results by end of day)
I guess this program is good enough since it tells me the system wide
ipi count - what my patch did was also to break it down by which cpu got
how many IPIs (served to check if there was uneven distribution)

> 
> Is your application mono threaded and receiving data to 8 sockets ?
> 

I fork one instance per detected cpu and bind to different ports each
time. Example bind to port 8200 on cpu0, 8201 on cpu1, etc.

cheers,
jamal